## org.hibernate.dialect.resolver
Class BasicDialectResolver

    java.lang.Object
      org.hibernate.dialect.resolver.AbstractDialectResolver
          org.hibernate.dialect.resolver.BasicDialectResolver

All Implemented Interfaces:
  DialectResolver

    public class BasicDialectResolver

extends AbstractDialectResolver

Intended as support for custom resolvers.

Author:
  Steve Ebersole

Field Summary
`static int` `VERSION_INSENSITIVE_VERSION`

Constructor Summary
`BasicDialectResolver(String matchingName, Class dialectClass)`
`BasicDialectResolver(String matchingName, int matchingVersion, Class dialectClass)`

Method Summary
`protected Dialect` `resolveDialectInternal(DatabaseMetaData metaData)` Perform the actual resolution without caring about handling `SQLException`s.

Methods inherited from class org.hibernate.dialect.resolver.AbstractDialectResolver
`resolveDialect`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION_INSENSITIVE_VERSION

    public static final int VERSION_INSENSITIVE_VERSION

See Also:
  Constant Field Values

Constructor Detail

### BasicDialectResolver

    public BasicDialectResolver(String matchingName,
                                Class dialectClass)

### BasicDialectResolver

    public BasicDialectResolver(String matchingName,
                                int matchingVersion,
                                Class dialectClass)

Method Detail

### resolveDialectInternal

    protected final Dialect resolveDialectInternal(DatabaseMetaData metaData)
                                            throws SQLException

  Description copied from class: `AbstractDialectResolver`
  Perform the actual resolution without caring about handling `SQLException`s.

  Specified by:
    `resolveDialectInternal` in class `AbstractDialectResolver`
  Parameters:
    `metaData` - The database metadata
  Returns:
    The resolved dialect, or null if we could not resolve.
  Throws:
    `SQLException` - Indicates problems accessing the metadata.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.